#ifndef FORTUNA_FORTUNA_CPP
#define FORTUNA_FORTUNA_CPP

#include "fortuna.h"

#include <cryptopp/osrng.h>
#include <cryptopp/hex.h>
#include <cryptopp/filters.h>
#include <cryptopp/serpent.h>
#include <cryptopp/ccm.h>
#include <fmt/core.h>

#include <cassert>
#include <cstring>


namespace fortuna {
	Fortuna::Fortuna(){
	}
	Fortuna::~Fortuna() = default;


	auto Fortuna::random_data(unsigned int n_bytes) -> void {
		std::string n{gen.generate_random_data(n_bytes)};
		fmt::print("got you {} proper bytes from generate_random_data -> {}\n",
				n_bytes, n);
	} //random_data

} // namespace fortuna

#endif//FORTUNA_FORTUNA_CPP
